Main Page Widgets Namespaces Book

# Gtk::BuilderError Class Reference

Inheritance diagram for Gtk::BuilderError:

[legend]

List of all members.

## Detailed Description

Exception class for Gdk::Builder errors.

## Public Types

enum | Code { INVALID_TYPE_FUNCTION, UNHANDLED_TAG, MISSING_ATTRIBUTE, INVALID_ATTRIBUTE, INVALID_TAG, MISSING_PROPERTY_VALUE, INVALID_VALUE }

## Public Member Functions

| BuilderError (GError* gobject)
| BuilderError (Code error_code, const Glib::ustring& error_message)
Code | code () const

## Member Enumeration Documentation

enum Gtk::BuilderError::Code

Enumerator:

  INVALID_TYPE_FUNCTION |
  UNHANDLED_TAG |
  MISSING_ATTRIBUTE |
  INVALID_ATTRIBUTE |
  INVALID_TAG |
  MISSING_PROPERTY_VALUE |
  INVALID_VALUE |

## Constructor & Destructor Documentation

Gtk::BuilderError::BuilderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gtk::BuilderError::BuilderError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gtk::BuilderError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- builder.h